;(function () {

	'use strict';


	var isiPad = function(){
		return (navigator.platform.indexOf("iPad") != -1);
	};

	var isiPhone = function(){
	    return (
			(navigator.platform.indexOf("iPhone") != -1) ||
			(navigator.platform.indexOf("iPod") != -1)
	    );
	};

	var fullHeight = function() {
		if ( !isiPad() || !isiPhone() ) {
			$('.js-fullheight-home').css('height', $(window).height() - $('.librecad-main-nav').height());
			$(window).resize(function(){
				$('.js-fullheight-home').css('height', $(window).height()  - $('.librecad-main-nav').height());
			})
		}
	};


	var loaderPage = function() {
		$(".librecad-loader").fadeOut("slow");
	};

	var librecadTabs = function() {

		$('.librecad-tabs li a').click(function(event){
			event.preventDefault();
			var $this = $(this),
				tab = $this.data('tab');
				$('.librecad-tabs li').removeClass('active');
				$this.closest('li').addClass('active');
				$this.closest('.librecad-tabs-container').find('.librecad-tab-content').removeClass('active');
				$this.closest('.librecad-tabs-container').find('.librecad-tab-content[data-tab-content="'+tab+'"]').addClass('active');
		});
	}

	var gridAutoHeight = function() {
		if (!isiPhone() || !isiPad()) {
			$('.librecad-grid-item').css('height', $('.librecad-2col-inner').outerHeight()/2);
		}
		$(window).resize(function(){
			if (!isiPhone() && !isiPad()) {
				$('.librecad-grid-item').css('height', $('.librecad-2col-inner').outerHeight()/2);
			}
		});
	}

	var sliderSayings = function() {
		$('#librecad-sayings .flexslider').flexslider({
			animation: "slide",
			slideshowSpeed: 5000,
			directionNav: false,
			controlNav: true,
			smoothHeight: true,
			reverse: true
	  	});
	}

	var offcanvasMenu = function() {
		$('body').prepend('<div id="librecad-offcanvas" />');
		$('body').prepend('<a href="#" class="js-librecad-nav-toggle librecad-nav-toggle"><i></i></a>');

		$('.librecad-main-nav .librecad-menu-1 a, .librecad-main-nav .librecad-menu-2 a').each(function(){

			var $this = $(this);

			$('#librecad-offcanvas').append($this.clone());

		});

	};

	var mainMenuSticky = function() {

		var sticky = $('.js-sticky');

		sticky.css('height', sticky.height());
		$(window).resize(function(){
			sticky.css('height', sticky.height());
		});

		var $section = $('.librecad-main-nav');

		$section.waypoint(function(direction) {

		  	if (direction === 'down') {

			    	$section.css({
			    		'position' : 'fixed',
			    		'top' : 0,
			    		'width' : '100%',
			    		'z-index' : 99999
			    	}).addClass('librecad-shadow');;

			}

		}, {
	  		offset: '0px'
		});

		$('.js-sticky').waypoint(function(direction) {
		  	if (direction === 'up') {
		    	$section.attr('style', '').removeClass('librecad-shadow');
		  	}
		}, {
		  	offset: function() { return -$(this.element).height() + 69; }
		});

	};


	var parallax = function() {


		if (!isiPhone() || isiPad() ) {
 			$(window).stellar({ horizontalScrolling: false });
 		}

	};



	var burgerMenu = function() {

		$('body').on('click', '.js-librecad-nav-toggle', function(event){

			var $this = $(this);

			if( $('body').hasClass('offcanvas-visible') ) {
				$('body').removeClass('offcanvas-visible librecad-overflow');
				$this.removeClass('active');
			} else {
				$('body').addClass('offcanvas-visible librecad-overflow');
				$this.addClass('active');
			}

			event.preventDefault();

		});

	};

	var scrolledWindow = function() {

		$(window).scroll(function(){

			var scrollPos = $(this).scrollTop();


		   if ( $('body').hasClass('offcanvas-visible') ) {
		   	$('body').removeClass('offcanvas-visible');
		   	$('.js-librecad-nav-toggle').removeClass('active');
		   }

		});

		$(window).resize(function() {
			if ( $('body').hasClass('offcanvas-visible') ) {
		   	$('body').removeClass('offcanvas-visible');
		   	$('.js-librecad-nav-toggle').removeClass('active');
		   }
		});

	};

	var mobileMenuOutsideClick = function() {

		$(document).click(function (e) {
	    var container = $("#librecad-offcanvas, .js-librecad-nav-toggle");
	    if (!container.is(e.target) && container.has(e.target).length === 0) {

	    	if ( $('body').hasClass('offcanvas-visible') ) {

    			$('body').removeClass('offcanvas-visible');
    			$('.js-librecad-nav-toggle').removeClass('active');

	    	}


	    }
		});

	};

	var goToTop = function() {

		$('.js-gotop').on('click', function(event){

			event.preventDefault();

			$('html, body').animate({
				scrollTop: $('html').offset().top
			}, 500, 'easeInOutExpo');

			return false;
		});

		$(window).scroll(function(){

			var $win = $(window);
			if ($win.scrollTop() > 200) {
				$('.js-top').addClass('active');
			} else {
				$('.js-top').removeClass('active');
			}

		});

	};


	var clickMenu = function() {
		var topVal = ( $(window).width() < 769 ) ? 0 : 58;

		$(window).resize(function(){
			topVal = ( $(window).width() < 769 ) ? 0 : 58;
		});
		$('.librecad-main-nav a:not([class="external"]), #librecad-offcanvas a:not([class="external"])').click(function(event){
			var section = $(this).data('nav-section');

				if ( $('div[data-section="' + section + '"]').length ) {

					$('html, body').animate({
			        	scrollTop: $('div[data-section="' + section + '"]').offset().top - topVal
			    	}, 500, 'easeInOutExpo');

			   }

		    event.preventDefault();


		});


	};


	var navActive = function(section) {

		$('.librecad-main-nav a[data-nav-section], #librecad-offcanvas a[data-nav-section]').removeClass('active');
		$('.librecad-main-nav, #librecad-offcanvas').find('a[data-nav-section="'+section+'"]').addClass('active');

	};

	var navigationSection = function() {

		var $section = $('div[data-section]');

		$section.waypoint(function(direction) {
		  	if (direction === 'down') {
		    	navActive($(this.element).data('section'));
		  	}

		}, {
	  		offset: '150px'
		});

		$section.waypoint(function(direction) {
		  	if (direction === 'up') {
		    	navActive($(this.element).data('section'));
		  	}
		}, {
		  	offset: function() { return -$(this.element).height() + 155; }
		});

	};






	$(function(){

		fullHeight();
		loaderPage();
		librecadTabs();
		gridAutoHeight();


		offcanvasMenu();
		mainMenuSticky();
		parallax();
		burgerMenu();
		scrolledWindow();
		mobileMenuOutsideClick();
		clickMenu();
		navigationSection();
		goToTop();

	});


}());
